// Copyright (c) 2015-present Mattermost, Inc. All Rights Reserved.
// See LICENSE.txt for license information.

import React from 'react';

const OnboardingBgSvg = () => (
    <svg
        viewBox='0 0 1366 767'
        fill='none'
        xmlns='http://www.w3.org/2000/svg'
    >
        <rect
            width='1366'
            height='767'
            fill='var(--center-channel-bg)'
        />
        <mask
            id='mask0'
            mask-type='alpha'
            maskUnits='userSpaceOnUse'
            x='0'
            y='0'
            width='1366'
            height='767'
        >
            <rect
                width='1366'
                height='767'
                fill='var(--center-channel-bg)'
            />
        </mask>
        <g mask='url(#mask0)'>
            <g opacity='0.5'>
                <path
                    opacity='0.08'
                    fillRule='evenodd'
                    clipRule='evenodd'
                    d='M-676.894 2032L1652 1293.08L1424.96 647.622C1424.96 647.622 1380.64 695.825 1254.89 695.825C1151.41 695.825 992.815 663.207 758.34 544.248C680.414 504.713 608.621 487.89 542.133 487.89C165.438 487.89 -41.0984 1027.86 -229.486 1036.79C-451.126 1047.29 -746.809 1803.59 -746.809 1803.59L-676.894 2032Z'
                    fill='url(#paint0_linear)'
                />
                <path
                    opacity='0.08'
                    fillRule='evenodd'
                    clipRule='evenodd'
                    d='M-693.799 1938.98L1635.1 1202.49L1408.06 559.152C1408.06 559.152 1363.73 607.196 1237.98 607.196C1134.51 607.196 975.911 574.685 741.435 456.118C663.509 416.713 591.716 399.945 525.229 399.945C148.533 399.945 -58.0032 938.146 -246.391 947.039C-468.031 957.503 -763.714 1711.32 -763.714 1711.32L-693.799 1938.98Z'
                    fill='url(#paint1_linear)'
                />
                <path
                    opacity='0.08'
                    fillRule='evenodd'
                    clipRule='evenodd'
                    d='M-714.084 1856.11L1614.81 1117.19L1387.77 471.732C1387.77 471.732 1343.44 519.935 1217.7 519.935C1114.22 519.935 955.625 487.317 721.149 368.358C643.223 328.823 571.43 312 504.943 312C128.247 312 -78.2891 851.975 -266.677 860.898C-488.316 871.397 -784 1627.7 -784 1627.7L-714.084 1856.11Z'
                    fill='url(#paint2_linear)'
                />
            </g>
            <g opacity='0.16'>
                <rect
                    x='1360.4'
                    y='313'
                    width='3.52187'
                    height='3.52709'
                    transform='rotate(45 1360.4 313)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1225.73'
                    y='447.677'
                    width='3.52187'
                    height='3.5271'
                    transform='rotate(45 1225.73 447.677)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1360.2'
                    y='582.156'
                    width='3.52187'
                    height='3.5271'
                    transform='rotate(45 1360.2 582.156)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1337.96'
                    y='335.446'
                    width='3.52187'
                    height='3.52709'
                    transform='rotate(45 1337.96 335.446)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1203.28'
                    y='470.124'
                    width='3.52187'
                    height='3.52708'
                    transform='rotate(45 1203.28 470.124)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1337.76'
                    y='604.602'
                    width='3.52187'
                    height='3.52708'
                    transform='rotate(45 1337.76 604.602)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1315.51'
                    y='357.892'
                    width='3.52187'
                    height='3.52708'
                    transform='rotate(45 1315.51 357.892)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1180.83'
                    y='492.57'
                    width='3.52187'
                    height='3.52708'
                    transform='rotate(45 1180.83 492.57)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1315.31'
                    y='627.048'
                    width='3.52187'
                    height='3.52708'
                    transform='rotate(45 1315.31 627.048)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1293.06'
                    y='380.339'
                    width='3.52187'
                    height='3.52709'
                    transform='rotate(45 1293.06 380.339)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1158.39'
                    y='515.016'
                    width='3.52187'
                    height='3.5271'
                    transform='rotate(45 1158.39 515.016)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1292.86'
                    y='649.494'
                    width='3.52187'
                    height='3.5271'
                    transform='rotate(45 1292.86 649.494)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1270.62'
                    y='402.785'
                    width='3.52187'
                    height='3.52709'
                    transform='rotate(45 1270.62 402.785)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1135.94'
                    y='537.462'
                    width='3.52187'
                    height='3.5271'
                    transform='rotate(45 1135.94 537.462)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1270.42'
                    y='671.941'
                    width='3.52187'
                    height='3.5271'
                    transform='rotate(45 1270.42 671.941)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1248.17'
                    y='425.231'
                    width='3.52187'
                    height='3.5271'
                    transform='rotate(45 1248.17 425.231)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1113.49'
                    y='559.909'
                    width='3.52187'
                    height='3.52707'
                    transform='rotate(45 1113.49 559.909)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1247.97'
                    y='694.387'
                    width='3.52187'
                    height='3.52707'
                    transform='rotate(45 1247.97 694.387)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1248.14'
                    y='470.09'
                    width='3.52187'
                    height='3.5271'
                    transform='rotate(45 1248.14 470.09)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1360.37'
                    y='357.859'
                    width='3.52187'
                    height='3.52709'
                    transform='rotate(45 1360.37 357.859)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1225.69'
                    y='492.537'
                    width='3.52187'
                    height='3.52708'
                    transform='rotate(45 1225.69 492.537)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1360.17'
                    y='627.015'
                    width='3.52187'
                    height='3.52708'
                    transform='rotate(45 1360.17 627.015)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1337.92'
                    y='380.306'
                    width='3.52187'
                    height='3.52708'
                    transform='rotate(45 1337.92 380.306)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1203.25'
                    y='514.983'
                    width='3.52187'
                    height='3.52708'
                    transform='rotate(45 1203.25 514.983)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1337.72'
                    y='649.461'
                    width='3.52187'
                    height='3.52708'
                    transform='rotate(45 1337.72 649.461)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1315.48'
                    y='402.752'
                    width='3.52187'
                    height='3.52709'
                    transform='rotate(45 1315.48 402.752)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1180.8'
                    y='537.429'
                    width='3.52187'
                    height='3.5271'
                    transform='rotate(45 1180.8 537.429)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1315.28'
                    y='671.907'
                    width='3.52187'
                    height='3.5271'
                    transform='rotate(45 1315.28 671.907)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1293.03'
                    y='425.198'
                    width='3.52187'
                    height='3.52709'
                    transform='rotate(45 1293.03 425.198)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1158.35'
                    y='559.875'
                    width='3.52187'
                    height='3.5271'
                    transform='rotate(45 1158.35 559.875)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1292.83'
                    y='694.354'
                    width='3.52187'
                    height='3.5271'
                    transform='rotate(45 1292.83 694.354)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1270.58'
                    y='447.644'
                    width='3.52187'
                    height='3.5271'
                    transform='rotate(45 1270.58 447.644)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1135.91'
                    y='582.322'
                    width='3.52187'
                    height='3.52707'
                    transform='rotate(45 1135.91 582.322)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1270.39'
                    y='716.8'
                    width='3.52187'
                    height='3.52707'
                    transform='rotate(45 1270.39 716.8)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1270.55'
                    y='492.503'
                    width='3.52187'
                    height='3.5271'
                    transform='rotate(45 1270.55 492.503)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1248.11'
                    y='514.95'
                    width='3.52187'
                    height='3.52708'
                    transform='rotate(45 1248.11 514.95)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1360.34'
                    y='402.719'
                    width='3.52187'
                    height='3.52708'
                    transform='rotate(45 1360.34 402.719)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1225.66'
                    y='537.396'
                    width='3.52187'
                    height='3.52708'
                    transform='rotate(45 1225.66 537.396)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1360.14'
                    y='671.874'
                    width='3.52185'
                    height='3.52708'
                    transform='rotate(45 1360.14 671.874)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1337.89'
                    y='425.165'
                    width='3.52187'
                    height='3.52709'
                    transform='rotate(45 1337.89 425.165)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1203.21'
                    y='559.842'
                    width='3.52187'
                    height='3.5271'
                    transform='rotate(45 1203.21 559.842)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1337.69'
                    y='694.32'
                    width='3.52185'
                    height='3.5271'
                    transform='rotate(45 1337.69 694.32)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1315.44'
                    y='447.611'
                    width='3.52187'
                    height='3.52709'
                    transform='rotate(45 1315.44 447.611)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1180.77'
                    y='582.288'
                    width='3.52187'
                    height='3.5271'
                    transform='rotate(45 1180.77 582.288)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1315.24'
                    y='716.767'
                    width='3.52185'
                    height='3.5271'
                    transform='rotate(45 1315.24 716.767)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1293'
                    y='470.057'
                    width='3.52187'
                    height='3.5271'
                    transform='rotate(45 1293 470.057)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1158.32'
                    y='604.735'
                    width='3.52187'
                    height='3.52707'
                    transform='rotate(45 1158.32 604.735)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1292.8'
                    y='739.213'
                    width='3.52185'
                    height='3.52707'
                    transform='rotate(45 1292.8 739.213)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1292.96'
                    y='514.917'
                    width='3.52187'
                    height='3.5271'
                    transform='rotate(45 1292.96 514.917)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1270.52'
                    y='537.363'
                    width='3.52187'
                    height='3.52708'
                    transform='rotate(45 1270.52 537.363)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1248.07'
                    y='559.809'
                    width='3.52187'
                    height='3.52708'
                    transform='rotate(45 1248.07 559.809)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1360.3'
                    y='447.578'
                    width='3.52187'
                    height='3.52709'
                    transform='rotate(45 1360.3 447.578)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1225.63'
                    y='582.255'
                    width='3.52187'
                    height='3.5271'
                    transform='rotate(45 1225.63 582.255)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1360.1'
                    y='716.733'
                    width='3.52185'
                    height='3.5271'
                    transform='rotate(45 1360.1 716.733)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1337.86'
                    y='470.024'
                    width='3.52187'
                    height='3.52709'
                    transform='rotate(45 1337.86 470.024)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1203.18'
                    y='604.701'
                    width='3.52187'
                    height='3.5271'
                    transform='rotate(45 1203.18 604.701)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1337.66'
                    y='739.18'
                    width='3.52185'
                    height='3.5271'
                    transform='rotate(45 1337.66 739.18)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1315.41'
                    y='492.47'
                    width='3.52187'
                    height='3.5271'
                    transform='rotate(45 1315.41 492.47)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1180.73'
                    y='627.148'
                    width='3.52187'
                    height='3.52707'
                    transform='rotate(45 1180.73 627.148)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1315.21'
                    y='761.626'
                    width='3.52185'
                    height='3.52707'
                    transform='rotate(45 1315.21 761.626)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1315.38'
                    y='537.33'
                    width='3.52187'
                    height='3.5271'
                    transform='rotate(45 1315.38 537.33)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1292.93'
                    y='559.776'
                    width='3.52187'
                    height='3.52708'
                    transform='rotate(45 1292.93 559.776)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1270.49'
                    y='582.222'
                    width='3.52187'
                    height='3.52708'
                    transform='rotate(45 1270.49 582.222)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1248.04'
                    y='604.668'
                    width='3.52187'
                    height='3.5271'
                    transform='rotate(45 1248.04 604.668)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1360.27'
                    y='492.437'
                    width='3.52187'
                    height='3.52709'
                    transform='rotate(45 1360.27 492.437)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1225.59'
                    y='627.115'
                    width='3.52187'
                    height='3.5271'
                    transform='rotate(45 1225.59 627.115)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1360.07'
                    y='761.593'
                    width='3.52188'
                    height='3.5271'
                    transform='rotate(45 1360.07 761.593)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1337.82'
                    y='514.883'
                    width='3.52187'
                    height='3.5271'
                    transform='rotate(45 1337.82 514.883)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1203.15'
                    y='649.561'
                    width='3.52187'
                    height='3.52707'
                    transform='rotate(45 1203.15 649.561)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1337.79'
                    y='559.743'
                    width='3.52187'
                    height='3.5271'
                    transform='rotate(45 1337.79 559.743)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1315.34'
                    y='582.189'
                    width='3.52187'
                    height='3.52708'
                    transform='rotate(45 1315.34 582.189)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1292.9'
                    y='604.635'
                    width='3.52187'
                    height='3.52708'
                    transform='rotate(45 1292.9 604.635)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1270.45'
                    y='627.081'
                    width='3.52187'
                    height='3.5271'
                    transform='rotate(45 1270.45 627.081)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1248.01'
                    y='649.528'
                    width='3.52187'
                    height='3.5271'
                    transform='rotate(45 1248.01 649.528)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1360.24'
                    y='537.296'
                    width='3.52187'
                    height='3.5271'
                    transform='rotate(45 1360.24 537.296)'
                    fill='var(--button-bg)'
                />
                <rect
                    x='1225.56'
                    y='671.974'
                    width='3.52187'
                    height='3.52707'
                    transform='rotate(45 1225.56 671.974)'
                    fill='var(--button-bg)'
                />
            </g>
            <g opacity='0.08'>
                <ellipse
                    rx='3.10334'
                    ry='3.10334'
                    transform='matrix(0.706583 -0.70763 0.706583 0.70763 15.0962 314.034)'
                    fill='var(--button-bg)'
                />
                <ellipse
                    rx='3.10334'
                    ry='3.10335'
                    transform='matrix(0.706583 -0.70763 0.706583 0.70763 37.024 335.994)'
                    fill='var(--button-bg)'
                />
                <ellipse
                    rx='3.10334'
                    ry='3.10334'
                    transform='matrix(0.706583 -0.70763 0.706583 0.70763 15.0962 270.113)'
                    fill='var(--button-bg)'
                />
                <ellipse
                    rx='3.10334'
                    ry='3.10334'
                    transform='matrix(0.706583 -0.70763 0.706583 0.70763 37.024 292.074)'
                    fill='var(--button-bg)'
                />
                <ellipse
                    rx='3.10334'
                    ry='3.10335'
                    transform='matrix(0.706583 -0.70763 0.706583 0.70763 58.9517 314.034)'
                    fill='var(--button-bg)'
                />
                <circle
                    r='3.10334'
                    transform='matrix(0.706583 -0.70763 0.706583 0.70763 15.0962 226.193)'
                    fill='var(--button-bg)'
                />
                <ellipse
                    rx='3.10334'
                    ry='3.10334'
                    transform='matrix(0.706583 -0.70763 0.706583 0.70763 37.024 248.153)'
                    fill='var(--button-bg)'
                />
                <ellipse
                    rx='3.10334'
                    ry='3.10334'
                    transform='matrix(0.706583 -0.70763 0.706583 0.70763 58.9517 270.113)'
                    fill='var(--button-bg)'
                />
                <ellipse
                    rx='3.10334'
                    ry='3.10335'
                    transform='matrix(0.706583 -0.70763 0.706583 0.70763 80.8794 292.074)'
                    fill='var(--button-bg)'
                />
                <ellipse
                    rx='3.10334'
                    ry='3.10334'
                    transform='matrix(0.706583 -0.70763 0.706583 0.70763 15.0962 182.273)'
                    fill='var(--button-bg)'
                />
                <ellipse
                    rx='3.10334'
                    ry='3.10334'
                    transform='matrix(0.706583 -0.70763 0.706583 0.70763 37.024 204.233)'
                    fill='var(--button-bg)'
                />
                <circle
                    r='3.10334'
                    transform='matrix(0.706583 -0.70763 0.706583 0.70763 58.9517 226.193)'
                    fill='var(--button-bg)'
                />
                <ellipse
                    rx='3.10334'
                    ry='3.10334'
                    transform='matrix(0.706583 -0.70763 0.706583 0.70763 80.8794 248.153)'
                    fill='var(--button-bg)'
                />
                <ellipse
                    rx='3.10334'
                    ry='3.10335'
                    transform='matrix(0.706583 -0.70763 0.706583 0.70763 102.807 270.113)'
                    fill='var(--button-bg)'
                />
                <ellipse
                    rx='3.10334'
                    ry='3.10334'
                    transform='matrix(0.706583 -0.70763 0.706583 0.70763 15.0962 138.352)'
                    fill='var(--button-bg)'
                />
                <ellipse
                    rx='3.10334'
                    ry='3.10334'
                    transform='matrix(0.706583 -0.70763 0.706583 0.70763 37.024 160.312)'
                    fill='var(--button-bg)'
                />
                <ellipse
                    rx='3.10334'
                    ry='3.10334'
                    transform='matrix(0.706583 -0.70763 0.706583 0.70763 58.9517 182.273)'
                    fill='var(--button-bg)'
                />
                <ellipse
                    rx='3.10334'
                    ry='3.10334'
                    transform='matrix(0.706583 -0.70763 0.706583 0.70763 80.8794 204.233)'
                    fill='var(--button-bg)'
                />
                <circle
                    r='3.10334'
                    transform='matrix(0.706583 -0.70763 0.706583 0.70763 102.807 226.193)'
                    fill='var(--button-bg)'
                />
                <ellipse
                    rx='3.10334'
                    ry='3.10335'
                    transform='matrix(0.706583 -0.70763 0.706583 0.70763 124.735 248.153)'
                    fill='var(--button-bg)'
                />
                <ellipse
                    rx='3.10335'
                    ry='3.10334'
                    transform='matrix(0.706583 -0.70763 0.706583 0.70763 37.024 116.392)'
                    fill='var(--button-bg)'
                />
                <ellipse
                    rx='3.10335'
                    ry='3.10334'
                    transform='matrix(0.706583 -0.70763 0.706583 0.70763 58.9517 138.352)'
                    fill='var(--button-bg)'
                />
                <ellipse
                    rx='3.10335'
                    ry='3.10334'
                    transform='matrix(0.706583 -0.70763 0.706583 0.70763 80.8794 160.312)'
                    fill='var(--button-bg)'
                />
                <ellipse
                    rx='3.10335'
                    ry='3.10334'
                    transform='matrix(0.706583 -0.70763 0.706583 0.70763 102.807 182.273)'
                    fill='var(--button-bg)'
                />
                <ellipse
                    rx='3.10335'
                    ry='3.10334'
                    transform='matrix(0.706583 -0.70763 0.706583 0.70763 124.735 204.233)'
                    fill='var(--button-bg)'
                />
                <circle
                    r='3.10335'
                    transform='matrix(0.706583 -0.70763 0.706583 0.70763 146.662 226.193)'
                    fill='var(--button-bg)'
                />
            </g>
            <rect
                width='167'
                height='1024'
                fill='url(#paint3_linear)'
            />
            <rect
                x='1366'
                y='1024'
                width='188'
                height='1024'
                transform='rotate(180 1366 1024)'
                fill='url(#paint4_linear)'
            />
        </g>
        <defs>
            <linearGradient
                id='paint0_linear'
                x1='452.595'
                y1='1171.11'
                x2='452.595'
                y2='487.89'
                gradientUnits='userSpaceOnUse'
            >
                <stop
                    stopColor='#0058CC'
                    stopOpacity='0'
                />
                <stop
                    offset='1'
                    stopColor='#0058CC'
                />
            </linearGradient>
            <linearGradient
                id='paint1_linear'
                x1='435.691'
                y1='1080.92'
                x2='435.691'
                y2='399.944'
                gradientUnits='userSpaceOnUse'
            >
                <stop
                    stopColor='#0058CC'
                    stopOpacity='0'
                />
                <stop
                    offset='1'
                    stopColor='#0058CC'
                />
            </linearGradient>
            <linearGradient
                id='paint2_linear'
                x1='415.405'
                y1='995.22'
                x2='415.405'
                y2='312'
                gradientUnits='userSpaceOnUse'
            >
                <stop
                    stopColor='#0058CC'
                    stopOpacity='0'
                />
                <stop
                    offset='1'
                    stopColor='#0058CC'
                />
            </linearGradient>
            <linearGradient
                id='paint3_linear'
                x1='-8.48718e-07'
                y1='439'
                x2='158.46'
                y2='439'
                gradientUnits='userSpaceOnUse'
            >
                <stop stopColor='var(--center-channel-bg)'/>
                <stop
                    offset='1'
                    stopColor='var(--center-channel-bg)'
                    stopOpacity='0'
                />
            </linearGradient>
            <linearGradient
                id='paint4_linear'
                x1='1366'
                y1='1463'
                x2='1544.39'
                y2='1463'
                gradientUnits='userSpaceOnUse'
            >
                <stop stopColor='var(--center-channel-bg)'/>
                <stop
                    offset='1'
                    stopColor='var(--center-channel-bg)'
                    stopOpacity='0'
                />
            </linearGradient>
        </defs>
    </svg>
);

export default OnboardingBgSvg;
